Bug 1275812 - overcloud deployment fails on not finding puppet resource
overcloud deployment fails on not finding puppet resource
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
urgent Severity unspecified
: y2
: 7.0 (Kilo)
Assigned To: Jiri Stransky
Alexander Chuzhoy
:
: 1276091 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 16:01 EDT by Jiri Stransky
Modified: 2015-12-21 11:52 EST (History)
7 users (show)

See Also:
Fixed In Version: openstack-puppet-modules-2015.1.8-27.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 11:52:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Stransky 2015-10-27 16:01:09 EDT
After updates to puppet-keystone and puppet-heat we've made undercloud compatible (bug 1274439), but overcloud is now failing with the same issue.

Error: Could not find resource 'Exec[heat_domain_create]' for relationship from 'Class[Keystone::Roles::Admin]' on node overcloud-controller-0.localdomain
Comment 7 James Slagle 2015-11-02 13:25:54 EST
the opm revert is built into openstack-puppet-modules-2015.1.8-27.el7ost

this bug should be resolved now
Comment 8 James Slagle 2015-11-02 13:42:32 EST
*** Bug 1276091 has been marked as a duplicate of this bug. ***
Comment 13 Alexander Chuzhoy 2015-11-27 12:09:05 EST
Verified:
Environment:
openstack-puppet-modules-2015.1.8-30.el7ost.noarch



The overcloud is deployed successfully.
Comment 15 errata-xmlrpc 2015-12-21 11:52:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2650

Note You need to log in before you can comment on or make changes to this bug.